package cn.wise.sc.cement.business.service;

import cn.wise.sc.cement.business.entity.EntrustSample;
import cn.wise.sc.cement.business.entity.SampleDistribution;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ztw
 * @since 2020-08-24
 */
public interface ISampleDistributionService extends IService<SampleDistribution> {
    /**
     * 获取派发项目和分样信息
     * @return
     */
    List<EntrustSample> getEntrustSample();

    /**
     * 获取样品分析数据
     * @param param 时间/用户
     * @return EntrustSample
     */
    List<EntrustSample> getSampleDistribution(Map<String, Object> param);
}
