package cn.wise.sc.cement.business.service;

import cn.wise.sc.cement.business.entity.SysUserMessage;
import cn.wise.sc.cement.business.model.BaseResponse;
import cn.wise.sc.cement.business.util.WebSocketServer;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ztw
 * @since 2020-10-13
 */
public interface ISysUserMessageService extends IService<SysUserMessage> {

	BaseResponse<String> sendMessage(Integer userId, String message, Integer appId, Integer messageType);

	BaseResponse<String>  checkMessage(Integer userId, Integer appId, Integer messageType);

	BaseResponse<String> dealMessage(Integer userId, Integer appId, Integer messageType);

	BaseResponse<List<SysUserMessage>> getMessages();







}
