package cn.wise.sc.cement.business.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author ztw
 * @since 2020-08-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SampleCheck implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 主键
     */
      @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("委托表id")
    private Integer entrustId;

    @ApiModelProperty("本所编号")
    private String cementCode;

    @ApiModelProperty("检测组id")
    private Integer teamGroupId;

    @ApiModelProperty("检测组名称")
    private String teamGroupName;

    @ApiModelProperty("最终校核计算结果json串")
    private String countResults;

    @ApiModelProperty("误差值 计算结果json串")
    private String countError;

    @ApiModelProperty("是否平行样（1是，0否）")
    private Integer isParallel;

    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty("备注")
    private String remark;


}
