package cn.wise.sc.cement.business.mapper;

import cn.wise.sc.cement.business.entity.PlanPeople;
import cn.wise.sc.cement.business.model.vo.PlanPeopleVo;
import cn.wise.sc.cement.business.model.vo.PlanTrainingVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author wlb
 * @since 2020-10-20
 */
public interface PlanPeopleMapper extends BaseMapper<PlanPeople> {
	IPage<PlanPeopleVo> getPage(@Param("page") Page page, @Param("params") Map<String, Object> params);
}
