package cn.wise.sc.cement.business.mapper;

import cn.wise.sc.cement.business.entity.PlanTraining;
import cn.wise.sc.cement.business.model.vo.NonStandardValueVo;
import cn.wise.sc.cement.business.model.vo.PlanStandardPurchaseVo;
import cn.wise.sc.cement.business.model.vo.PlanTrainingVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author wlb
 * @since 2020-10-19
 */
public interface PlanTrainingMapper extends BaseMapper<PlanTraining> {
	IPage<PlanTrainingVo> getPage(@Param("page") Page page, @Param("params") Map<String, Object> params);

	List<Map<String, Object>> exportList(@Param("params") Map<String, Object> params);

	List<PlanTrainingVo> getList(@Param("params") Map<String, Object> params);

	List<PlanTrainingVo> getById(@Param("params") Map<String, Object> params);
}
