package cn.wise.sc.cement.business.mapper;

import cn.wise.sc.cement.business.entity.EntrustSample;
import cn.wise.sc.cement.business.entity.SampleDistribution;
import cn.wise.sc.cement.business.model.vo.SampleCheckGroupVo;
import cn.wise.sc.cement.business.model.vo.SampleDistributionTeamVo;
import cn.wise.sc.cement.business.model.vo.SampleDistributionVo;
import cn.wise.sc.cement.business.model.vo.SampleHandleVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author ztw
 * @since 2020-08-24
 */
@Mapper
public interface SampleDistributionMapper extends BaseMapper<SampleDistribution> {

	IPage<SampleDistributionVo> getPage(@Param("page") Page page, @Param("params") Map<String, Object> params);

	List<SampleDistributionTeamVo> getDistributionTeamList(@Param("sampleId")  Integer sampleId,
	                                                       @Param("userId")  Integer userId);

	List<SampleCheckGroupVo> getSampleCheckGroupList(@Param("sampleId")  Integer sampleId);

	List<EntrustSample> getEntrustSample();

	List<EntrustSample> getSampleDistribution(@Param("params") Map<String, Object> param);
}
