package cn.wise.sc.cement.business.model.query;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @description:
 * @author: ztw
 * @create: 2020-08-07 14:58
			**/
	@Data
	@ApiModel("数据校核-校核计算接口请求（样品）")
	public class CheckCountSampleQuery {


		@ApiModelProperty("校核sample_check_team表id，不传id为新增，传id为修改")
		private Integer id;

		@ApiModelProperty("样品表id")
		private Integer smapleId;

		@ApiModelProperty("平行样编号")
		private String parallelCode;

		@ApiModelProperty("检测人员id")
		private Integer userId;

		@ApiModelProperty("检测设备表id")
		private Integer equipmentId;

		@ApiModelProperty("检测设备名称")
		private String equipmentName;

		@ApiModelProperty("输入信息集合")
		private Map<String, Object> intputResult;

}
