package cn.wise.sc.cement.business.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @description:
 * @author: qh
 * @create: 2020-08-07 14:58
 **/
@Data
@ApiModel("校核-检测组列表Vo")
public class SampleCheckTeamVo {

	@ApiModelProperty("校核sample_check_team表id，不传id为新增，传id为修改")
	private Integer id;

	@ApiModelProperty("校核表id")
	private Integer checkId;

	@ApiModelProperty("样品表id")
	private Integer sampleId;

	@ApiModelProperty("平行样编号")
	private String parallelCode;

	@ApiModelProperty("检测人id")
	private Integer userId;

	@ApiModelProperty("检测人姓名")
	private String userName;

	@ApiModelProperty("检测设备表id")
	private Integer equipmentId;

	@ApiModelProperty("检测设备名称")
	private String equipmentName;

	/**
	 *  json串
	 {"样重m":"40","K值":1.0274,"Vsio2":3.89,................}
	 */
	@ApiModelProperty("校核人员输入检测结果 json串")
	private String inputResult;

	@ApiModelProperty("计算结果 json串")
	private String countResult;




}
