package cn.wise.sc.cement.business.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @description:
 * @author: qh
 * @create: 2020-08-07 14:58
 **/
@Data
@ApiModel("校核-样品Vo")
public class SampleCheckVo {

	@ApiModelProperty("校核sample_check表id，不传id为新增，传id为修改")
	private Integer id;

	@ApiModelProperty("委托表id")
	private Integer entrustId;

	@ApiModelProperty("样品名")
	private String sampleName;

	@ApiModelProperty("本所编号")
	private String cementCode;

	@ApiModelProperty("检测组id")
	private Integer teamGroupId;

	@ApiModelProperty("检测组名称")
	private String teamGroupName;

	@ApiModelProperty("最终校核计算结果json串")
	private String countResults;

	@ApiModelProperty("误差值 计算结果json串")
	private String countError;

	@ApiModelProperty("是否平行样（2-3是，0否）")
	private Integer isParallel;

	@ApiModelProperty("检测组列表")
	public List<SampleCheckTeamVo> sampleCheckGroupVoList;


}
