package cn.wise.sc.cement.business.service.impl;

import cn.wise.sc.cement.business.entity.EntrustSample;
import cn.wise.sc.cement.business.entity.SampleDistribution;
import cn.wise.sc.cement.business.mapper.SampleDistributionMapper;
import cn.wise.sc.cement.business.service.ISampleDistributionService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author ztw
 * @since 2020-08-24
 */
@Service
public class SampleDistributionServiceImpl extends ServiceImpl<SampleDistributionMapper, SampleDistribution> implements ISampleDistributionService {


    @Autowired
    SampleDistributionMapper sampleDistributionMapper;

    @Override
    public List<EntrustSample> getEntrustSample() {
        return sampleDistributionMapper.getEntrustSample();
    }

    @Override
    public List<EntrustSample> getSampleDistribution(Map<String, Object> param) {
        return sampleDistributionMapper.getSampleDistribution(param);
    }
}
